FilmDescriptorImpl (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.model.impl

## Class FilmDescriptorImpl

- java.lang.Object
- - tv.amwa.maj.model.impl.InterchangeObjectImpl
  - - tv.amwa.maj.model.impl.EssenceDescriptorImpl
    - - tv.amwa.maj.model.impl.FilmDescriptorImpl

- All Implemented Interfaces:
    Serializable, Cloneable, MediaEntity, MetadataObject, EssenceDescriptor, FilmDescriptor, InterchangeObject

      @MediaClass(uuid1=218169601,
                  uuid2=257,
                  uuid3=11520,
                  uuid4={6,14,43,52,2,6,1,1},
                  definedName="FilmDescriptor",
                  description="The FilmDescriptor class describes film media.",
                  symbol="FilmDescriptor")
      public class FilmDescriptorImpl
      extends EssenceDescriptorImpl
      implements FilmDescriptor, Serializable, Cloneable

  Implements the description of film media. A SourcePackage described by a film descriptor is known as a film source package.

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class tv.amwa.maj.model.impl.InterchangeObjectImpl

      `ObjectClassPropertyID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FilmDescriptorImpl()` Creates and initializes a film descriptor that describes film media.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FilmDescriptor` | `clone()` Create a cloned copy of this interchange object.
    `Rational` | `getFilmAspectRatio()` Returns the image aspect ratio of the described film, which specifies the ratio between the horizontal size of the frame image and the vertical size of the frame image.
    `String` | `getFilmAspectRatioString()`
    `String` | `getFilmBatchNumber()` Returns the film batch number for this film descriptor.
    `FilmType` | `getFilmFormat()` Returns the film format of the described film, according to its film type.
    `String` | `getFilmFormatName()` Returns the film gauge format of the described film.
    `String` | `getFilmStockKind()` Returns the kind of film stock of the described film, which is a string to display to end users indicating the manufacturer's brand designation for the film, such as "5247".
    `String` | `getFilmStockManufacturer()` Returns the film stock manufacturer of the described film, which is a string to display to end users indicating the manufacturer of the film stock.
    `int` | `getFrameRate()` Returns the frame rate of the described film, which specifies the frame rate of the film measured in frames per second.
    `byte` | `getPerfortionsPerFrame()` Returns the number of perforations per frame on the film stock of the described film.
    `void` | `setFilmAspectRatio(Rational aspectRatio)` Sets the image aspect ratio of the described film, which specifies the ratio between the horizontal size of the frame image and the vertical size of the frame image.
    `void` | `setFilmAspectRatioString(String filmAspectRatio)`
    `void` | `setFilmBatchNumber(String filmBatchNumber)` Sets the film batch number for the described film.
    `void` | `setFilmFormat(FilmType filmFormat)` Sets the film format of the described film, according to its film type.
    `void` | `setFilmFormatName(String filmFormatName)` Sets the film gauge format of the described film.
    `void` | `setFilmStockKind(String filmStockKind)` Sets the kind of film stock of the described film, which is a string to display to end users indicating the manufacturer's brand designation for the film, such as "5247".
    `void` | `setFilmStockManufacturer(String filmStockManufacturer)` Sets the film stock manufacturer property of the described film, which is a string to display to end users indicating the manufacturer of the film stock.
    `void` | `setFrameRate(Integer rate)` Set the frame rate of the described film, which specifies the frame rate of the film measured in frames per second.
    `void` | `setPerforationsPerFrame(Byte perforationsPerFrame)` Set the number of perforations per frame on the film stock of the described film.

    - ### Methods inherited from class tv.amwa.maj.model.impl.EssenceDescriptorImpl

      `appendLocator, appendSubDescriptor, clearLocators, clearSubDescriptors, countLocators, countSubDescriptors, getComment, getLocatorAt, getLocators, getSubDescriptorAt, getSubDescriptors, insertLocatorAt, insertSubDescriptorAt, prependLocator, prependSubDescriptor, removeLocatorAt, removeSubDescriptorAt`

    - ### Methods inherited from class tv.amwa.maj.model.impl.InterchangeObjectImpl

      `addApplicationPlugin, appendXMLChildren, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getGeneration, getLinkedGenerationID, getLinkedGenerationIDString, getObjectClass, getPersistentID, getPersistentIndex, hashCode, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setLinkedGenerationIDString, setObjectClass, setPersistentID, setPersistentIndex, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface tv.amwa.maj.model.EssenceDescriptor

      `appendLocator, appendSubDescriptor, clearLocators, countLocators, countSubDescriptors, getLocatorAt, getLocators, getSubDescriptorAt, getSubDescriptors, insertLocatorAt, insertSubDescriptorAt, prependLocator, prependSubDescriptor, removeLocatorAt, removeSubDescriptorAt`

    - ### Methods inherited from interface tv.amwa.maj.model.InterchangeObject

      `addApplicationPlugin, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getGeneration, getLinkedGenerationID, getObjectClass, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setObjectClass, toString`

    - ### Methods inherited from interface tv.amwa.maj.industry.MediaEntity

      `getPersistentID, setPersistentIndex`

- - ### Constructor Detail

    - #### FilmDescriptorImpl

          public FilmDescriptorImpl()

      Creates and initializes a film descriptor that describes film media.

  - ### Method Detail

    - #### getFilmAspectRatio

          @MediaProperty(uuid1=68157699,
                         uuid2=515,
                         uuid3=0,
                         uuid4={6,14,43,52,1,1,1,2},
                         definedName="FilmAspectRatio",
                         typeName="Rational",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=14596,
                         symbol="FilmAspectRatio")
          public Rational getFilmAspectRatio()
                                                                                                                                                                                                                                                                                                                                                                                            throws PropertyNotPresentException

      Description copied from interface: `FilmDescriptor`

      Returns the image aspect ratio of the described film, which specifies the ratio between the horizontal size of the frame image and the vertical size of the frame image. This is an optional property.

      Specified by:
        `getFilmAspectRatio` in interface `FilmDescriptor`
      Returns:
        Image aspect ratio of the described film.
      Throws:
        `PropertyNotPresentException` - The optional image aspect ratio for this film descriptor is not present.

    - #### setFilmAspectRatio

          @MediaPropertySetter(value="FilmAspectRatio")
          public void setFilmAspectRatio(Rational aspectRatio)

      Description copied from interface: `FilmDescriptor`

      Sets the image aspect ratio of the described film, which specifies the ratio between the horizontal size of the frame image and the vertical size of the frame image. Set this optional property to `null` to omit it.

      Specified by:
        `setFilmAspectRatio` in interface `FilmDescriptor`
      Parameters:
        `aspectRatio` - Image aspect ratio of the described film.

    - #### getFilmFormat

          @MediaProperty(uuid1=68157699,
                         uuid2=264,
                         uuid3=0,
                         uuid4={6,14,43,52,1,1,1,2},
                         definedName="FilmFormat",
                         typeName="FilmType",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=14593,
                         symbol="FilmFormat")
          public FilmType getFilmFormat()
                                                                                                                                                                                                                                                                                                                                                                             throws PropertyNotPresentException

      Description copied from interface: `FilmDescriptor`

      Returns the film format of the described film, according to its film type.

      Typical values include:

      - `FilmType.Ft35MM`
      - `FilmType.Ft16MM`
      - `FilmType.Ft65MM`
      Specified by:
        `getFilmFormat` in interface `FilmDescriptor`
      Returns:
        Film format of the described film.
      Throws:
        `PropertyNotPresentException` - The optional film format property is not present for this film descriptor.

    - #### setFilmFormat

          @MediaPropertySetter(value="FilmFormat")
          public void setFilmFormat(FilmType filmFormat)

      Description copied from interface: `FilmDescriptor`

      Sets the film format of the described film, according to its film type. Set this optional property to `null` to omit it.

      Typical values include:

      - `FilmType.Ft35MM`
      - `FilmType.Ft16MM`
      - `FilmType.Ft65MM`
      Specified by:
        `setFilmFormat` in interface `FilmDescriptor`
      Parameters:
        `filmFormat` - Film format of the described film.

    - #### getFilmStockManufacturer

          @MediaProperty(uuid1=68157699,
                         uuid2=262,
                         uuid3=256,
                         uuid4={6,14,43,52,1,1,1,2},
                         definedName="FilmStockManufacturer",
                         aliases={"Manufacturer","FilmDescriptorManufacturer"},
                         typeName="UTF16String",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=14597,
                         symbol="FilmStockManufacturer")
          public String getFilmStockManufacturer()
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       throws PropertyNotPresentException

      Description copied from interface: `FilmDescriptor`

      Returns the film stock manufacturer of the described film, which is a string to display to end users indicating the manufacturer of the film stock. This is an optional property.

      Specified by:
        `getFilmStockManufacturer` in interface `FilmDescriptor`
      Returns:
        Film manufacturer of this film descriptor.
      Throws:
        `PropertyNotPresentException` - The optional film manufacturer property is not present for this film descriptor.

    - #### setFilmStockManufacturer

          @MediaPropertySetter(value="FilmStockManufacturer")
          public void setFilmStockManufacturer(String filmStockManufacturer)

      Description copied from interface: `FilmDescriptor`

      Sets the film stock manufacturer property of the described film, which is a string to display to end users indicating the manufacturer of the film stock. Set this optional property to `null` to omit it.

      Specified by:
        `setFilmStockManufacturer` in interface `FilmDescriptor`
      Parameters:
        `filmStockManufacturer` - Film manufacturer of the described film.

    - #### getFilmStockKind

          @MediaProperty(uuid1=68157699,
                         uuid2=261,
                         uuid3=256,
                         uuid4={6,14,43,52,1,1,1,2},
                         definedName="FilmStockKind",
                         aliases={"Model","FilmDescriptorModel"},
                         typeName="UTF16String",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=14598,
                         symbol="FilmStockKind")
          public String getFilmStockKind()
                                                                                                                                                                                                                                                                                                                                                                                                                                                 throws PropertyNotPresentException

      Description copied from interface: `FilmDescriptor`

      Returns the kind of film stock of the described film, which is a string to display to end users indicating the manufacturer's brand designation for the film, such as "5247". This is an optional property.

      Specified by:
        `getFilmStockKind` in interface `FilmDescriptor`
      Returns:
        Kind of film stock of the described film.
      Throws:
        `PropertyNotPresentException` - The optional film model property is not present for this film descriptor.

    - #### setFilmStockKind

          @MediaPropertySetter(value="FilmStockKind")
          public void setFilmStockKind(String filmStockKind)

      Description copied from interface: `FilmDescriptor`

      Sets the kind of film stock of the described film, which is a string to display to end users indicating the manufacturer's brand designation for the film, such as "5247". Set this optional property to `null` to omit it.

      Specified by:
        `setFilmStockKind` in interface `FilmDescriptor`
      Parameters:
        `filmStockKind` - Kind of film stock of the described film.

    - #### getFrameRate

          @MediaProperty(uuid1=67176450,
                         uuid2=768,
                         uuid3=0,
                         uuid4={6,14,43,52,1,1,1,2},
                         definedName="FrameRate",
                         typeName="UInt32",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=14594,
                         symbol="FrameRate")
          public int getFrameRate()
                                                                                                                                                                                                                                                                                                                                                                   throws PropertyNotPresentException

      Description copied from interface: `FilmDescriptor`

      Returns the frame rate of the described film, which specifies the frame rate of the film measured in frames per second. This is an optional property.

      Specified by:
        `getFrameRate` in interface `FilmDescriptor`
      Returns:
        Frame rate of the described film.
      Throws:
        `PropertyNotPresentException` - The optional frame rate property is not present for this film descriptor.

    - #### setFrameRate

          @MediaPropertySetter(value="FrameRate")
          public void setFrameRate(Integer rate)
                                                                    throws IllegalArgumentException

      Description copied from interface: `FilmDescriptor`

      Set the frame rate of the described film, which specifies the frame rate of the film measured in frames per second. Set this optional property to `null` to omit it.

      Specified by:
        `setFrameRate` in interface `FilmDescriptor`
      Parameters:
        `rate` - Frame rate of the described film.
      Throws:
        `IllegalArgumentException` - The given frame rate is negative.

    - #### getPerfortionsPerFrame

          @MediaProperty(uuid1=68157699,
                         uuid2=259,
                         uuid3=0,
                         uuid4={6,14,43,52,1,1,1,2},
                         definedName="PerforationsPerFrame",
                         typeName="UInt8",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=14595,
                         symbol="PerforationsPerFrame")
          public byte getPerfortionsPerFrame()
                                                                                                                                                                                                                                                                                                                                                                                                   throws PropertyNotPresentException

      Description copied from interface: `FilmDescriptor`

      Returns the number of perforations per frame on the film stock of the described film. This is an optional property.

      Specified by:
        `getPerfortionsPerFrame` in interface `FilmDescriptor`
      Returns:
        Number of perforations per frame of the described film.
      Throws:
        `PropertyNotPresentException` - The optional perforations per frame property is not present for this film descriptor.

    - #### setPerforationsPerFrame

          @MediaPropertySetter(value="PerforationsPerFrame")
          public void setPerforationsPerFrame(Byte perforationsPerFrame)
                                                                                          throws IllegalArgumentException

      Description copied from interface: `FilmDescriptor`

      Set the number of perforations per frame on the film stock of the described film. Set this optional property to `null` to omit it.

      Specified by:
        `setPerforationsPerFrame` in interface `FilmDescriptor`
      Parameters:
        `perforationsPerFrame` - Perforations per frame of the described film.
      Throws:
        `IllegalArgumentException`

    - #### getFilmBatchNumber

          @MediaProperty(uuid1=68157699,
                         uuid2=263,
                         uuid3=256,
                         uuid4={6,14,43,52,1,1,1,2},
                         definedName="FilmBatchNumber",
                         typeName="UTF16String",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=14600,
                         symbol="FilmBatchNumber")
          public String getFilmBatchNumber()
                                                                                                                                                                                                                                                                                                                                                                                               throws PropertyNotPresentException

      Description copied from interface: `FilmDescriptor`

      Returns the film batch number for this film descriptor. This is an optional property.

      Specified by:
        `getFilmBatchNumber` in interface `FilmDescriptor`
      Returns:
        Film batch number for the described film.
      Throws:
        `PropertyNotPresentException` - The optional film batch number is not present for this film descriptor.

    - #### setFilmBatchNumber

          @MediaPropertySetter(value="FilmBatchNumber")
          public void setFilmBatchNumber(String filmBatchNumber)

      Description copied from interface: `FilmDescriptor`

      Sets the film batch number for the described film. Set this optional property to `null` to omit it.

      Specified by:
        `setFilmBatchNumber` in interface `FilmDescriptor`
      Parameters:
        `filmBatchNumber` - Film batch number of the described film.

    - #### getFilmFormatName

          @MediaProperty(uuid1=68157699,
                         uuid2=260,
                         uuid3=256,
                         uuid4={6,14,43,52,1,1,1,2},
                         definedName="FilmFormatName",
                         aliases="FilmGaugeFormat",
                         typeName="UTF16String",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=14599,
                         symbol="FilmFormatName")
          public String getFilmFormatName()
                                                                                                                                                                                                                                                                                                                                                                                                                                      throws PropertyNotPresentException

      Description copied from interface: `FilmDescriptor`

      Returns the film gauge format of the described film. This is an optional property.

      Specified by:
        `getFilmFormatName` in interface `FilmDescriptor`
      Returns:
        Film gauge format of the described film.
      Throws:
        `PropertyNotPresentException` - This optional film gauge property is not present for this film descriptor.

    - #### setFilmFormatName

          @MediaPropertySetter(value="FilmFormatName")
          public void setFilmFormatName(String filmFormatName)

      Description copied from interface: `FilmDescriptor`

      Sets the film gauge format of the described film. Set this optional property to `null` to omit it.

      Specified by:
        `setFilmFormatName` in interface `FilmDescriptor`
      Parameters:
        `filmFormatName` - Film gauge format of the described film.

    - #### clone

          public FilmDescriptor clone()

      Description copied from interface: `InterchangeObject`

      Create a cloned copy of this interchange object.

      Specified by:
        `clone` in interface `MediaEntity`
      Specified by:
        `clone` in interface `EssenceDescriptor`
      Specified by:
        `clone` in interface `FilmDescriptor`
      Specified by:
        `clone` in interface `InterchangeObject`
      Overrides:
        `clone` in class `EssenceDescriptorImpl`
      Returns:
        Cloned copy of this interchange object.

    - #### getFilmAspectRatioString

          public String getFilmAspectRatioString()

    - #### setFilmAspectRatioString

          public void setFilmAspectRatioString(String filmAspectRatio)

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.